import CJS_COMPAT_NODE_URL_pk4n8szp5rq from 'node:url';
import CJS_COMPAT_NODE_PATH_pk4n8szp5rq from 'node:path';
import CJS_COMPAT_NODE_MODULE_pk4n8szp5rq from "node:module";

var __filename = CJS_COMPAT_NODE_URL_pk4n8szp5rq.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_pk4n8szp5rq.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_pk4n8szp5rq.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------

// ../../node_modules/slash/index.js
function slash(path) {
  return path.startsWith("\\\\?\\") ? path : path.replace(/\\/g, "/");
}

export {
  slash
};
